/*
 * @Author: wrh
 * @Date: 2024-02-27 13:47:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-10-18 10:04:13
 */
import request from '@/utils/request'

// 查询cmc车辆信息列表
export function listCar(query) {
  return request({
    url: '/oa/car/list',
    method: 'get',
    params: query
  })
}

// 查询cmc车辆信息详细
export function getCar(carId) {
  return request({
    url: '/oa/car/' + carId,
    method: 'get'
  })
}

// 新增cmc车辆信息
export function addCar(data) {
  return request({
    url: '/oa/car',
    method: 'post',
    data: data
  })
}

// 修改cmc车辆信息
export function updateCar(data) {
  return request({
    url: '/oa/car',
    method: 'put',
    data: data
  })
}

// 删除cmc车辆信息
export function delCar(carId) {
  return request({
    url: '/oa/car/' + carId,
    method: 'delete'
  })
}

// 查询cmc车辆信息列表
export function getCarStatistic(query) {
  return request({
    url: '/oa/car/statistic',
    method: 'get',
    params: query
  })
}